<?php

/**
 * @author Kiruban
 * @copyright 2008
 * @site http://www.kiruban.fr
 * @mail webmaster@kiruban.fr
 */

include('header.php');

$UPLOAD_ID = ''; // Initialize upload id

require 'ubr_ini.php';
require 'ubr_lib.php';
require 'ubr_finished_lib.php';


header('Content-type: text/html; charset=UTF-8');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . date('r'));
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

if (isset($_GET['upload_id']) && preg_match("/^[a-zA-Z0-9]{32}$/", $_GET['upload_id'])) {
    $UPLOAD_ID = $_GET['upload_id'];
} else {
	header("Location: upload.php");
}

//Declare local values
$_XML_DATA = array(); // Array of xml data read from the upload_id.redirect file
$_CONFIG_DATA = array(); // Array of config data read from the $_XML_DATA array
$_POST_DATA = array(); // Array of posted data read from the $_XML_DATA array
$_FILE_DATA = array(); // Array of 'FileInfo' objects read from the $_XML_DATA array
$_FILE_DATA_TABLE = ''; // String used to store file info results nested between <tr> tags
$_FILE_DATA_EMAIL = ''; // String used to store file info results

$xml_parser = new XML_Parser; // XML parser
$xml_parser->setXMLFile($TEMP_DIR, $_REQUEST['upload_id']); // Set upload_id.redirect file
$xml_parser->setXMLFileDelete($DELETE_REDIRECT_FILE); // Delete upload_id.redirect file when finished parsing
$xml_parser->parseFeed(); // Parse upload_id.redirect file

// Display message if the XML parser encountered an error
if ($xml_parser->getError()) {
    kak($xml_parser->getErrorMsg(), 1, __line__, $PATH_TO_CSS_FILE);
}

$_XML_DATA = $xml_parser->getXMLData(); // Get xml data from the xml parser
$_CONFIG_DATA = getConfigData($_XML_DATA); // Get config data from the xml data
$_POST_DATA = getPostData($_XML_DATA); // Get post data from the xml data
$_FILE_DATA = getFileData($_XML_DATA); // Get file data from the xml data

session_start();

if(!User::isLogged())
{
	header('Location: login.php');
	exit();
}

$user = User::getById($_SESSION['userId']);
ob_start();
?>

<?php 
$i = 1;
foreach($_FILE_DATA as $file): 
// add files to database and show download urls
?>
<p><?php echo $i; ?># File Name: <?php echo $_POST_DATA["$file->slot"]; ?><br />
<?php 
$sql = "INSERT INTO files(f_id, f_name, f_unique_name, f_dl, f_unique_dl, f_upload_date, f_last_dl_date, m_id, f_size, f_type, f_status) VALUES('', '".mysql_real_escape_string($_POST_DATA["$file->slot"])."', '".mysql_real_escape_string($file->name)."', '0', '0', '".date("Y-m-d h:i:s")."', '".date("Y-m-d h:i:s")."', '".mysql_real_escape_string($user->userId)."', '".mysql_real_escape_string($file->size)."', '".mysql_real_escape_string($file->type)."', '1')";
mysql_query($sql);
$i++;
?>
<a href="<?php echo SITE_URL; ?>/download.php?id=<?php echo mysql_insert_id(); ?>"><?php echo SITE_URL; ?>/download.php?id=<?php echo mysql_insert_id(); ?></a>
</p>
<?php endforeach; ?>


<?php
$GLOBALS['TEMPLATE']['content'] = ob_get_clean();
include('views/template.php');
?>