<?php
require 'ubr_ini.php';
require 'ubr_lib.php';


header('Content-type: text/html; charset=UTF-8');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . date('r'));
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');

$config_file = $DEFAULT_CONFIG;

// Load config file
require $config_file;

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title>Uber-Uploader - Free File Upload Progress Bar</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<meta http-equiv="pragma" content="no-cache">
		<meta http-equiv="cache-control" content="no-cache">
		<meta http-equiv="expires" content="-1">
		<meta name="robots" content="index,nofollow">
		<!-- Please do not remove this tag: Uber-Uploader Ver 6.5 http://uber-uploader.sourceforge.net -->
		<link rel="stylesheet" type="text/css" href="<?php print $PATH_TO_CSS_FILE; ?>">
		<script language="javascript" type="text/javascript">
			var path_to_link_script = "<?php print $PATH_TO_LINK_SCRIPT; ?>";
			var path_to_set_progress_script = "<?php print $PATH_TO_SET_PROGRESS_SCRIPT; ?>";
			var path_to_get_progress_script = "<?php print $PATH_TO_GET_PROGRESS_SCRIPT; ?>";
			var path_to_upload_script = "<?php print $PATH_TO_UPLOAD_SCRIPT; ?>";
			var multi_configs_enabled = <?php print $MULTI_CONFIGS_ENABLED; ?>;
			var check_allow_extensions_on_client = <?php print $_CONFIG['check_allow_extensions_on_client']; ?>;
			var check_disallow_extensions_on_client = <?php print $_CONFIG['check_disallow_extensions_on_client']; ?>;
			<?php if($_CONFIG['check_allow_extensions_on_client']){ print "var allow_extensions = /" . $_CONFIG['allow_extensions'] . "$/i;\n"; } ?>
			<?php if($_CONFIG['check_disallow_extensions_on_client']){ print "var disallow_extensions = /" . $_CONFIG['disallow_extensions'] . "$/i;\n"; } ?>
			var check_file_name_format = <?php print $_CONFIG['check_file_name_format']; ?>;
			var check_null_file_count = <?php print $_CONFIG['check_null_file_count']; ?>;
			var check_duplicate_file_count = <?php print $_CONFIG['check_duplicate_file_count']; ?>;
			var max_upload_slots = <?php print $_CONFIG['max_upload_slots']; ?>;
			var cedric_progress_bar = <?php print $_CONFIG['cedric_progress_bar']; ?>;
			var cedric_hold_to_sync = <?php print $_CONFIG['cedric_hold_to_sync']; ?>;
			var bucket_progress_bar = <?php print $_CONFIG['bucket_progress_bar']; ?>;
			var progress_bar_width = <?php print $_CONFIG['progress_bar_width']; ?>;
			var show_percent_complete = <?php print $_CONFIG['show_percent_complete']; ?>;
			var show_files_uploaded = <?php print $_CONFIG['show_files_uploaded']; ?>;
			var show_current_position = <?php print $_CONFIG['show_current_position']; ?>;
			var show_current_file = <?php if($CGI_UPLOAD_HOOK && $_CONFIG['show_current_file']){ print "1"; }else{ print "0"; } ?>;
			var show_elapsed_time = <?php print $_CONFIG['show_elapsed_time']; ?>;
			var show_est_time_left = <?php print $_CONFIG['show_est_time_left']; ?>;
			var show_est_speed = <?php print $_CONFIG['show_est_speed']; ?>;
		</script>
		<script language="javascript" type="text/javascript" src="<?php print $PATH_TO_JS_SCRIPT; ?>"></script>
	</head>
	<body class="ubrBody" onLoad="iniFilePage()">
		<div class="ubrWrapper">
			<br>
			<div id="ubr_alert" class="ubrAlert"></div>

			<!-- Start Progress Bar -->
			<div align="center" id="progress_bar" style="display:none;">
				<div id="upload_status_wrap" class="ubrBar1" style="<?php print "width:" . $_CONFIG [ 'progress_bar_width' ]; ?>">
					<div id="upload_status" class="ubrBar2"></div>
				</div>
				<?php if($_CONFIG['show_percent_complete'] || $_CONFIG['show_files_uploaded'] || $_CONFIG['show_current_position'] || $_CONFIG['show_elapsed_time'] || $_CONFIG['show_est_time_left'] || $_CONFIG['show_est_speed']){ ?>
				<br>
				<table class="ubrUploadData">
					<?php if($_CONFIG['show_percent_complete']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Percent Complete:</td>
						<td class='ubrUploadDataInfo'><span id="percent_complete">0%</span></td>
					</tr>
					<?php } ?>
					<?php if($_CONFIG['show_files_uploaded']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Files Uploaded:</td>
						<td class='ubrUploadDataInfo'><span id="files_uploaded">0</span> of <span id="total_uploads"></span></td>
					</tr>
					<?php } ?>
					<?php if($_CONFIG['show_current_position']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Current Position:</td>
						<td class='ubrUploadDataInfo'><span id="current_position">0</span> / <span id="total_kbytes"></span> KBytes</td>
					</tr>
					<?php } ?>
					<?php if($CGI_UPLOAD_HOOK && $_CONFIG['show_current_file']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Current File Uploading:</td>
						<td class='ubrUploadDataInfo'><span id="current_file"></span></td>
					</tr>
					<?php } ?>
					<?php if($_CONFIG['show_elapsed_time']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Elapsed Time:</td>
						<td class='ubrUploadDataInfo'><span id="elapsed_time">0</span></td>
					</tr>
					<?php } ?>
					<?php if($_CONFIG['show_est_time_left']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Est Time Left:</td>
						<td class='ubrUploadDataInfo'><span id="est_time_left">0</span></td>
					</tr>
					<?php } ?>
					<?php if($_CONFIG['show_est_speed']){ ?>
					<tr>
						<td class='ubrUploadDataLabel'>Est Speed:</td>
						<td class='ubrUploadDataInfo'><span id="est_speed">0</span> KB/s.</td>
					</tr>
					<?php } ?>
				</table>
				<?php } ?>
			</div>
			<!-- End Progress Bar -->

			<?php if($_CONFIG['embedded_upload_results'] || $_CONFIG['opera_browser'] || $_CONFIG['safari_browser']){ ?>
			<div id="upload_div" style="display:none;"><iframe name="upload_iframe" frameborder="0" width="800" height="200" scrolling="auto"></iframe></div>
			<?php } ?>

			<!-- Start Upload Form -->
			<br>
			<form name="uu_upload" id="uu_upload" <?php if($_CONFIG['embedded_upload_results'] || $_CONFIG['opera_browser'] || $_CONFIG['safari_browser']){ print "target=\"upload_iframe\""; } ?> method="post" enctype="multipart/form-data"  action="#" style="margin: 0px; padding: 0px;">
				<noscript><span class="ubrError">ERROR</span>: Javascript must be enabled to use this Uber-Uploader.<br><br></noscript>
				<?php
				// Include extra values you want passed to the upload script here.
				// eg. <input type="text" name="employee_num" value="5">
				// Access the value in the CGI with $query->param('employee_num');
				// Access the value in the PHP finished page with $_POST_DATA['employee_num'];
				// DO NOT USE "upfile_" for any of your values.
				?>
				<div id="upload_slots"><input class="ubrUploadSlot" type="file" name="upfile_0" size="90" <?php if($_CONFIG['multi_upload_slots']){ ?>onChange="addUploadSlot(1)"<?php } ?>  onkeypress="return handleKey(event)" value=""></div>
				<br>
				<input type="button" id="reset_button" name="reset_button" value="Reset" onClick="resetForm();">&nbsp;&nbsp;&nbsp;<input type="button" id="upload_button" name="upload_button" value="Upload" onClick="linkUpload();">
			</form>
			<!-- End Upload Form -->
		</div>
		<div id='ajax_div'><!-- Used to store AJAX --></div>
	</body>
</html>